Package org.apache.any23.extractor.html

## Class HTMLMetaExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.HTMLMetaExtractorTest

-     public class HTMLMetaExtractorTest
      extends AbstractExtractorTestCase

  Reference Test class for the `HTMLMetaExtractor` extractor.
  Author:
    Davide Palmisano ( dpalmisano@gmail.com )

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTMLMetaExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `testExtractPageMeta()` |
    `void` | `testExtractPageMetaWithExtensionsPerMozillaSpecification()` |
    `void` | `testNoMeta()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLMetaExtractorTest

          public HTMLMetaExtractorTest()

  - ### Method Detail

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testExtractPageMeta

          public void testExtractPageMeta()
                                   throws Exception

      Throws:
        `Exception`

    - #### testNoMeta

          public void testNoMeta()
                          throws Exception

      Throws:
        `Exception`

    - #### testExtractPageMetaWithExtensionsPerMozillaSpecification

          public void testExtractPageMetaWithExtensionsPerMozillaSpecification()
                                                                        throws Exception

      Throws:
        `Exception`